cURL
curl -X POST 'https://api.nuntly.com/inboxes' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"address":"<address>"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.inboxes.create({
address: '<address>',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.inboxes().create(CreateInboxRequest.builder()
.address("<address>")
.build());import requests
url = "https://api.nuntly.com/inboxes"
payload = {
"address": "<string>",
"domainId": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"agentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"createdAt": "<string>",
"domainId": "<string>",
"domainName": "<string>",
"address": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"namespaceName": "<string>",
"agentId": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Inboxes
Create Inbox
Create a new inbox on a verified domain.
POST
/
inboxes
cURL
curl -X POST 'https://api.nuntly.com/inboxes' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"address":"<address>"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.inboxes.create({
address: '<address>',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.inboxes().create(CreateInboxRequest.builder()
.address("<address>")
.build());import requests
url = "https://api.nuntly.com/inboxes"
payload = {
"address": "<string>",
"domainId": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"agentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"createdAt": "<string>",
"domainId": "<string>",
"domainName": "<string>",
"address": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"namespaceName": "<string>",
"agentId": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Body
application/json
The local-part of the email address (before the @).
The id of the domain for this inbox. Defaults to your provided domain when omitted.
The display name of the inbox.
The id of the namespace to assign the inbox to.
The external AI agent identifier.
Response
Created.
Show child attributes
Show child attributes
⌘I
